<?php

/**
 * Webinterface for squidwall
 *
 * ctime: 2005-06-29
 * mtime: 2006-05-21
 *
 * Beschreibung:
 * 1. Authentifizierung
 * 2. Funktionen definieren
 * 3. Datenbanken prfen und einlesen
 */

if (!isset($no_headers)) {
  header("Expires: Mon, 1 Jan 1999 00:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-store, no-cache, must-revalidate");
  header("Cache-Control: post-check=0, pre-check=0", false);
  header("Cache-Control: private" );
  header("Pragma: no-cache");
}

include("$P_INT/lang.php");      /* Sprachen */
include("$P_INT/functions.php"); /* Funktionen */
include("$P_INT/auth.php");      /* Benutzerprfung */

/* diverse Verzeichnisse prfen */
if (!is_dir($P_USERS)) { fatal_error("Can't read user definitions !"); }
if (!is_dir($P_HOSTS)) { fatal_error("Can't read host definitions !"); }

/* datenbanken raussuchen */
init_defs("$P_INT/hosts", $H);
init_defs("$P_INT/users", $U);

/* banner */
init_filterdir($P_BFILTER,  $BF);
init_filterdir($P_BCFILTER, $BCF);
init_filterdir($P_BRFILTER, $BRF);

/* content */
init_filterdir($P_PFILTER,  $PF);
init_filterdir($P_CFILTER,  $CF);
init_filterdir($P_CRFILTER, $CRF);

/* url blacklisting */
init_filterdir($P_UFILTER,  $UF);
init_filterdir($P_URFILTER, $URF);
init_filterdir($P_MFILTER,  $MF);
init_filterdir($P_SFILTER,  $SF);

/* url whitelisting */
init_filterdir($P_WFILTER,  $WF);
init_filterdir($P_WRFILTER, $WRF);

?>
