<?php

/**
 * Webinterface for squidwall
 *
 * ctime: 2005-06-29
 * mtime: 2006-05-21
 *
 * Beschreibung:
 * - Authentifizierung via PHP, nicht durch Apache!
 */

session_save_path("$P_SES");
session_name("SW");
session_start();

function print_authform($text="") {
	global $auth_question;
	global $auth_username;
	global $auth_password;
	global $auth_loginbtn;
	global $P_INT, $P_EXT;

	echo "
<form action=\"\" method=\"POST\">

<table>
<tr>
<td colspan=\"2\"><br>".$auth_question."<br><br></td>
</tr>

<tr>
<td width=\"20%\" align=\"right\">".$auth_username."</td>
<td width=\"80%\"><input type=\"text\" name=\"username\"></td>
</tr>

<tr>
<td width=\"20%\" align=\"right\">".$auth_password."</td>
<td width=\"80%\"><input type=\"password\" name=\"password\" maxlength=\"88\"></td>
</tr>

<tr>
<td colspan=\"2\">
<br><input type=\"submit\" value=\"" . $auth_loginbtn . "\">
</td>
</tr>";

	if ($text != "") {
		echo "<tr><td colspan=\"2\"><br>$text</td></tr>";
	}

	echo "</table></form>";
	print_foot();
}

$auth_question = $msg[$lang]['authform']['question'];
$auth_username = $msg[$lang]['authform']['username'];
$auth_password = $msg[$lang]['authform']['password'];
$auth_loginbtn = $msg[$lang]['button']['login'];


/* get values from form via POST or the current SESSION */
if (isset($_POST['username']) & isset($_POST['password'])) {
	$username=$_POST['username'];
	$password=$_POST['password'];
} else if (isset($_SESSION['username']) & isset($_SESSION['password'])) {
	$username=$_SESSION['username'];
	$password=$_SESSION['password'];
} else {
	include("$P_INT/HEAD");
	print_authform();
}


/* ffnen der Passwortdatenbank... */
if (!is_file("$F_AUTH")) {
	fatal_error("AUTH Database not reachable!");
}

unset($AUTHDONE);
unset($AUTHADMIN);

$f=file("$F_AUTH");
for ($i=0; isset($f[$i]); $i++) {
	if ($f[$i][0] == '#') continue; /* skip comments */
	if (substr_count($f[$i], ":") != 2) continue; /* skip invalid */
	list($user, $hash, $perms) = explode(':', $f[$i]);

	/* skip invalid lines */
	if (!isset($user)) continue;
	if (!isset($hash)) continue;
	if (!isset($perms)) continue;
	$perms=trim($perms);

	if (!strcmp($username, $user)) {
		$hash2=sha1($username.":".$password);
		if (!strcmp($hash, $hash2)) {
			/* correct username:password pair */
			$_SESSION['username']=$username;
			$_SESSION['password']=$password;
			if ($perms == "a") {
				$AUTHADMIN=1;
			} else {
				$AUTHADMIN=0;
			}
			$AUTHDONE=1;
			$no_head=1;
			unset($f);
			unset($pass); unset($hash); unset($perms);
			break;
		}
	}
}


if (isset($_GET['logout'])) {
	unset($AUTHDONE);
	unset($AUTHADMIN);
	unset($_SESSION['username']);
	unset($_SESSION['password']);
	$x=$msg[$lang]['authform']['goodbye'];
	include("$P_INT/HEAD");
	print_authform($x);
	session_destroy();
}

if (!isset($AUTHDONE)) {
	$x=$msg[$lang]['authform']['failure'];
	include("$P_INT/HEAD");
	print_authform($x);
}

?>
