<?php

/**
 * this file is ment to hold all language specific information
 */


/* buttons for various php files */
$msg['en']['button']['reset']       = "reset settings";
$msg['de']['button']['reset']       = "zurcksetzen";

$msg['en']['button']['submit']      = "save settings";
$msg['de']['button']['submit']      = "speichern";

$msg['en']['button']['login']       = "login";
$msg['de']['button']['login']       = "einloggen";

$msg['en']['button']['filter-add']  = "add filter";
$msg['de']['button']['filter-add']  = "filter anlegen";

$msg['en']['button']['filter-del']  = "delete filter";
$msg['de']['button']['filter-del']  = "filter lschen";

$msg['en']['button']['reload']      = "reload";
$msg['de']['button']['reload']      = "neu anzeigen";


/* authform.php */
$msg['en']['authform']['username']  = "username:";
$msg['de']['authform']['username']  = "Benutzer:";

$msg['en']['authform']['password']  = "password:";
$msg['de']['authform']['password']  = "Passwort:";

$msg['en']['authform']['question']  = "Please supply your username / password pair.";
$msg['de']['authform']['question']  = "Bitte geben Sie Ihren Benutzernamen und das dazu passende Passwort ein.";

$msg['en']['authform']['failure']   = "Authorization failed, please try again.";
$msg['de']['authform']['failure']   = "Fehlerhafte Authentifizierung. Bitte wiederholen sie Ihre Eingabe.";

$msg['en']['authform']['goodbye']   = "You are logged off now!";
$msg['de']['authform']['goodbye']   = "Sie sind nun ausgeloggt!";


/* headlines for various php files */
$msg['en']['hosts']     = "hosts / ip's";
$msg['de']['hosts']     = "Rechner / IP's";

$msg['en']['users']     = "users";
$msg['de']['users']     = "Benutzer";

$msg['en']['logout']    = "logout";
$msg['de']['logout']    = "Logout";

$msg['en']['help']      = "help";
$msg['de']['help']      = "Hilfe";

$msg['en']['bf']        = "banner filter (url based)";
$msg['de']['bf']        = "Werbefilter (URL's)";

$msg['en']['brf']       = "banner filter (url regex based)";
$msg['de']['brf']       = "Werbefilter (RE's @ URL's)";

$msg['en']['bcf']       = "banner filter (bcf)";
$msg['de']['bcf']       = "Werbefilter (RE's @ HTTP Header)";

$msg['en']['pf']        = "phrase filter";
$msg['de']['pf']        = "Schlagwrter filtern";

$msg['en']['cf']        = "content filter";
$msg['de']['cf']        = "Inhaltsfilter";

$msg['en']['crf']       = "content filter (regex)";
$msg['de']['crf']       = "Inhaltsfilter (regex)";

$msg['en']['uf']        = "URL Blacklist";
$msg['de']['uf']        = "url blacklist";

$msg['en']['mf']        = "URL Blacklist (md5)";
$msg['de']['mf']        = "url blacklist (md5)";

$msg['en']['sf']        = "URL Blacklist (sha1)";
$msg['de']['sf']        = "url blacklist (sha1)";

$msg['en']['urf']       = "url blacklist (regex)";
$msg['de']['urf']       = "URL Blacklist (regex)";

$msg['en']['wf']        = "url whitelist";
$msg['de']['wf']        = "URL Whitelist";

$msg['en']['wrf']       = "url whitelist (regex)";
$msg['de']['wrf']       = "URL Whitelist (regex)";


/* edit_filters.php */
$msg['en']['filters']['headlineH']  = "pool:";
$msg['de']['filters']['headlineH']  = "Bereich:";

$msg['en']['filters']['tableheadH'] = "hosts / ip's";
$msg['de']['filters']['tableheadH'] = "Rechner / IP's";

$msg['en']['filters']['headlineU']  = "group:";
$msg['de']['filters']['headlineU']  = "Benutzergruppe:";

$msg['en']['filters']['tableheadU'] = "login";
$msg['de']['filters']['tableheadU'] = "Login";

$msg['en']['filters']['table_h1']   = "unrestricted";
$msg['de']['filters']['table_h1']   = "unbeschrnkt";

$msg['en']['filters']['table_h2']   = "limited / filtered";
$msg['de']['filters']['table_h2']   = "gefiltert";

$msg['en']['filters']['table_h3']   = "disabled";
$msg['de']['filters']['table_h3']   = "deaktiviert";

$msg['en']['filters']['table_h4']   = "special";
$msg['de']['filters']['table_h4']   = "speziell";

$msg['en']['filters']['table_d']    = "rules for all:";
$msg['de']['filters']['table_d']    = "fr alle gilt:";


/* edit_special.php */
$msg['en']['special']['headlineH']  = "special host options for:";
$msg['de']['special']['headlineH']  = "spezielle Hostoptionen fr:";

$msg['en']['special']['tableheadH'] = "special headline en";
$msg['de']['special']['tableheadH'] = "special headline de";

$msg['en']['special']['headlineU']  = "special user options for:";
$msg['de']['special']['headlineU']  = "spezielle Benutzeroptionen fr:";

$msg['en']['special']['tableheadU'] = "special headline en";
$msg['de']['special']['tableheadU'] = "special headline de";

$msg['en']['special']['table_h1']   = "unlimeted";
$msg['de']['special']['table_h1']   = "unbeschrnkt";

$msg['en']['special']['table_h2']   = "limited / filtered";
$msg['de']['special']['table_h2']   = "gefiltert";

$msg['en']['special']['table_h3']   = "disabled";
$msg['de']['special']['table_h3']   = "deaktiviert";

$msg['en']['special']['table_h4']   = "special";
$msg['de']['special']['table_h4']   = "speziell";

$msg['en']['special']['table_d']    = "rules for all:";
$msg['de']['special']['table_d']    = "fr alle gilt:";


/* edit_redir.php */
$msg['en']['redir']['headline']     = "redirects";
$msg['de']['redir']['headline']     = "Weiterleitungen";

$msg['en']['redir']['headnew']      = "define new redirections";
$msg['de']['redir']['headnew']      = "neue Weiterleitungen definieren";

$msg['en']['redir']['headold']      = "change current redirections";
$msg['de']['redir']['headold']      = "bestehende Weiterleitungen ndern";

$msg['en']['redir']['add']          = "new redirection: ";
$msg['de']['redir']['add']          = "neue weiterleitung: ";

$msg['en']['redir']['chg']          = "changing ";
$msg['de']['redir']['chg']          = "ndere ";

$msg['en']['redir']['del']          = "deleting ";
$msg['de']['redir']['del']          = "lsche ";


/* edit_user.php */
$msg['en']['edituser']['tablehead'] = array ("username", "password", "admin");
$msg['de']['edituser']['tablehead'] = array ("Benutzername", "Passwort", "Administrator");

$msg['en']['edituser']['headline']  = "user administration";
$msg['de']['edituser']['headline']  = "Benutzeradministration";

$msg['en']['edituser']['headnew']   = "define new user";
$msg['de']['edituser']['headnew']   = "neue Benutzer definieren";


/* edit_defs.php */
$msg['en']['editdefs']['newdef']    = "NEW";
$msg['de']['editdefs']['newdef']    = "NEU";


/* edit_cache.php */
$msg['en']['editcache']['headline'] = "view cache";
$msg['de']['editcache']['headline'] = "Cache einsehen";

/* pppd statistics */
$msg['en']['pppd']['headline']     = "pppd statistic";
$msg['de']['pppd']['headline']     = "Einwahlstatistiken";

$msg['en']['pppd']['tableH1']      = "Date";
$msg['de']['pppd']['tableH1']      = "Datum";

$msg['en']['pppd']['tableH2']      = "from - to";
$msg['de']['pppd']['tableH2']      = "von - bis";

$msg['en']['pppd']['tableH3']      = "Connection Time";
$msg['de']['pppd']['tableH3']      = "Verbindungszeit";

$msg['en']['pppd']['tableH4']      = "IN";
$msg['de']['pppd']['tableH4']      = "IN";

$msg['en']['pppd']['tableH5']      = "Download";
$msg['de']['pppd']['tableH5']      = "Download";

$msg['en']['pppd']['tableH6']      = "OUT";
$msg['de']['pppd']['tableH6']      = "OUT";

$msg['en']['pppd']['tableH7']      = "Upload";
$msg['de']['pppd']['tableH7']      = "Upload";

$msg['en']['pppd']['tableH8']      = "Total";
$msg['de']['pppd']['tableH8']      = "Gesamt";

$msg['en']['pppd']['bytes']        = "Want stats in bytes ?";
$msg['de']['pppd']['bytes']        = "Zeige Statistik in Bytes ?";

$msg['en']['pppd']['logins']       = "Show all dialins stats ?";
$msg['de']['pppd']['logins']       = "Zeige alle Dialins an ?";

$msg['en']['pppd']['daily']        = "Want daily stats ?";
$msg['de']['pppd']['daily']        = "Tgliche Zusammenfassung ?";

$msg['en']['pppd']['weekly']       = "Want weekly stats ?";
$msg['de']['pppd']['weekly']       = "Wchentliche Zusammenfassung ?";

$msg['en']['pppd']['monthly']      = "Want monthly stats ?";
$msg['de']['pppd']['monthly']      = "Monatliche Zusammenfassung ?";

$msg['en']['pppd']['yearly']       = "Want yearly stats ?";
$msg['de']['pppd']['yearly']       = "Jhrliche Zusammenfassung ?";

$msg['en']['pppd']['summary']      = "Want stats of all ?";
$msg['de']['pppd']['summary']      = "Zusammenfassung aller Einwahlen ?";

$msg['en']['pppd']['upstream']     = "Want upstream rate ?";
$msg['de']['pppd']['upstream']     = "Upstream Rate anzeigen ?";

$msg['en']['pppd']['downstream']   = "Want downstream rate ?";
$msg['de']['pppd']['downstream']   = "Downstream Rate anzeigen ?";


/* general date / time stuff */
$msg['en']['date']['year']   = "year";
$msg['de']['date']['year']   = "Jahr";

$msg['en']['date']['month']  = "month";
$msg['de']['date']['month']  = "Monat";

$msg['en']['date']['week']   = "week";
$msg['de']['date']['week']   = "Woche";

$msg['en']['date']['days']   = array("sunday","monday","tuesday", "wednesday", "thursday","friday","saturday");
$msg['de']['date']['days']   = array("Sonntag","Montag","Dienstag", "Mittwoch", "Donnerstag","Freitag","Sonnabend");

$msg['en']['date']['months'] = array ("january","february", "march","april", "may","juny","july","august", "september", "october","november","december");
$msg['de']['date']['months'] = array ("Januar","Februar", "Mrz","April", "Mai","Juni","Juli","August", "September", "Oktober","November","Dezember");

?>
