<?php

/**
 * Webinterface for squidwall
 *
 * ctime: 2005-06-29
 * mtime: 2006-05-27
 */

// foreach ($_GET as $k => $v)  { echo "\$_GET[$k]:$v<br>"; }
// foreach ($_POST as $k => $v) { echo "\$_POST[$k]:$v<br>"; }

/**
 * redirects
 */
if (isset($_GET['redir'])) {
	$group='redir';
	$B_COLOR="$C_REDIR";
	$headline=$msg[$lang]['redir']['headline'];
	include("$P_INT/edit_redir.php");
	print_foot();
}

/**
 * pppd statistics
 */
if (isset($_GET['pppd'])) {
	$group='pppd';
	$B_COLOR="$C_PPPD";
	$headline=$msg[$lang]['pppd']['headline'];
	include("$P_INT/stats_pppd.php");
	print_foot();
}

/**
 * administrator, create / delete user accounts for the webinterface
 */
if (isset($_GET['edituser'])) {
	$group='edituser';
	$B_COLOR="$C_ADMIN";
	$headline=$msg[$lang]['edituser']['headline'];
	include("$P_INT/edit_user.php");
	print_foot();
}

/**
 * administrator, create / delete host definitions for the acl's
 */
if (isset($_GET['hostdef'])) {
	$group="hostdef";
	$path=$P_INT . "/hosts";
	$todo=$H;
	$B_COLOR="$C_HOSTS";
	$headline=$msg[$lang]['hosts'];
	include("$P_INT/edit_defs.php");
	print_foot();
}

/**
 * administrator, create / delete user definitions for the acl's
 */
if (isset($_GET['userdef'])) {
	$group="userdef";
	$path=$P_INT . "/users";
	$todo=$U;
	$B_COLOR="$C_USERS";
	$headline=$msg[$lang]['users'];
	include("$P_INT/edit_defs.php");
	print_foot();
}

/**
 * administrator, view / delete squidwall cache
 */
if (isset($_GET['editcache'])) {
	$group='editcache';
	$B_COLOR="$C_ADMIN";
	$headline=$msg[$lang]['editcache']['headline'];
	include("$P_INT/edit_cache.php");
	print_foot();
}

/**
 * special host options
 */
if (isset($_GET['sh'])) {
	$group='sh';
	$filename=$P_INT . "/hosts/" . $H[$_GET['h']];
	$f=file($filename);
	$name=chop($f[$_GET['sh']]);
	
	$B_COLOR="$C_HOSTS";
	$headline=$msg[$lang]['special']['headlineH'] ." <u>" . $name . "</u>";
	$tablehead=$msg[$lang]['special']['tableheadH'];
	$file2save=$P_HOSTS."/?".$name;
	my_edit_options($P_HOSTS, $name);
	include("$P_INT/edit_special.php");
	print_foot();
}

/**
 * special user options
 */
if (isset($_GET['su'])) {
	$group='su';
	$filename=$P_INT . "/users/" . $U[$_GET['u']];
	$f=file($filename);
	$name=chop($f[$_GET['su']]);
	
	$B_COLOR="$C_USERS";
	$headline=$msg[$lang]['special']['headlineU'] ." <u>" . $name . "</u>";
	$tablehead=$msg[$lang]['special']['tableheadU'];
	my_edit_options($P_USERS, $name);
	include("$P_INT/edit_special.php");
	print_foot();
}

/**
 * host acl's
 */
if (isset($_GET['h'])) {
	$group="h";
	$index=$_GET['h'];
	$filename=$P_INT . "/hosts/" . $H[$index];
	if (count($_POST)) { my_edit_acls($P_HOSTS, $filename); }
	
	$B_COLOR="$C_HOSTS";
	$headline=$msg[$lang]['filters']['headlineH'] ." <u>" . $H[$index] . "</u>";
	$tablehead=$msg[$lang]['filters']['tableheadH'];
	$dir2save=$P_HOSTS;
	include("$P_INT/edit_acls.php");
	print_foot();
}

/**
 * user acl's
 */
if (isset($_GET['u'])) {
	$group="u";
	$index=$_GET['u'];
	$filename=$P_INT . "/users/" . $U[$index];
	if (count($_POST)) { my_edit_acls($P_USERS, $filename); }
	
	$B_COLOR="$C_USERS";
	$headline=$msg[$lang]['filters']['headlineU'] ." <u>" . $U[$index] . "</u>";
	$tablehead=$msg[$lang]['filters']['tableheadU'];
	$dir2save=$P_USERS;
	include("$P_INT/edit_acls.php");
	print_foot();
}

/**
 * filters
 */
if (isset($_GET['bf'])) {
	$group="bf";
	$index=$_GET[$group];
	$filename=$P_BFILTER . "/" . $BF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_BFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $BF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

if (isset($_GET['bcf'])) {
	$group="bcf";
	$index=$_GET[$group];
	$filename=$P_BCFILTER . "/" . $BCF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_BCFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $BCF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

if (isset($_GET['brf'])) {
	$group="brf";
	$index=$_GET[$group];
	$filename=$P_BRFILTER . "/" . $BRF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_BRFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $BRF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

if (isset($_GET['pf'])) {
	$group="pf";
	$index=$_GET[$group];
	$filename=$P_PFILTER . "/" . $PF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_PFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $PF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

if (isset($_GET['cf'])) {
	$group="cf";
	$index=$_GET[$group];
	$filename=$P_CFILTER . "/" . $CF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_CFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $CF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

if (isset($_GET['crf'])) {
	$group="crf";
	$index=$_GET[$group];
	$filename=$P_CRFILTER . "/" . $CRF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_CRFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $CRF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

if (isset($_GET['uf'])) {
	$group="uf";
	$index=$_GET[$group];
	$filename=$P_UFILTER . "/" . $UF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_UFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $UF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

if (isset($_GET['urf'])) {
	$group="urf";
	$index=$_GET[$group];
	$filename=$P_URFILTER . "/" . $URF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_URFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $URF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

if (isset($_GET['wf'])) {
	$group="wf";
	$index=$_GET[$group];
	$filename=$P_WFILTER . "/" . $WF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_WFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $WF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

if (isset($_GET['wrf'])) {
	$group="wrf";
	$index=$_GET[$group];
	$filename=$P_WRFILTER . "/" . $WRF[$index];
	if (isset($_POST['defs'])) { my_edit_filters($filename); }
	
	$B_COLOR="$C_WRFILTER";
	$headline=$msg[$lang][$group] ." <u>" . $WRF[$index] . "</u>";
	include("$P_INT/edit_filter.php");
	print_foot();
}

/**
 * default: show help / usage
 */
$B_COLOR="$C_HELP";
include("$P_INT/help.$lang.php");
print_foot();

?>
